Subject: Re: Git and svn as target

From: Peter Baumann <[email-masked]>
Date: Thu, 10 Jun 2010 08:05:25 +0200

On Thu, Jun 10, 2010 at 07:45:15AM +0200, Matthias Fechner wrote:
> Hi,
> 
> i started now to work with git instead of svn. The main repository
> is a svn repo so i use git svn ...
> 
> But I have the problem now, commit comments are not transfered to
> svn, maybe I miss here a parameter.
> 
> What i did:
> git svn fetch
> git svn rebase
> git branch test
> git checkout test
> several commits
> git checkout master
> git svn fetch
> git svn rebase
> git merge test
> git svn dcommit
> 
> In the commit of svn I see only merged test...
> Could I say git to put all the commit comments into the merge?
> 

AFAIK git svn doesn't handle git merges very well. If you rebase your test branch onto
master and then do the git-svn dcommit, everything should work as expected.

-Peter